<?php
class CustomControls_AppPlatform extends ComControls {
	public function CustomControls_AppPlatform(){
		$this->CustomControls();
	}
	public function getVote($pColumn){
		if($pColumn['stcoctUiType']=='Text'){
			$tmpControl=new VoteText();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='TextArea'){
			$tmpControl=new VoteTextArea();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='CheckboxAR'){
			$tmpControl=new VoteCheckboxAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='RadioAR'){
			$tmpControl=new VoteRadioAR();
			$tmpControl->Control($pColumn);
		}
	}
	public function getMicroblogging_Publish($pColumn){
		if($pColumn['stcoctUiType']=='Microblogging_Publish'){
			$tmpControl=new Normal_Microblogging_Publish();
			$tmpControl->Control($pColumn);
		}
	}
	public function getMicroblogging_DiscussSubmit($pColumn){
		if($pColumn['stcoctUiType']=='Microblogging_DiscussSubmit'){
			$tmpControl=new Normal_Microblogging_DiscussSubmit();
			$tmpControl->Control($pColumn);
		}
	}
	
	
}
?>